=== make/mingw32/Makefile ===
# Project: libebml
# Makefile created by Dev-C++ 4.9.7.0

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../src/EbmlBinary.o ../../src/EbmlContexts.o ../../src/EbmlCrc32.o ../../src/EbmlDate.o ../../src/EbmlDummy.o ../../src/EbmlElement.o ../../src/EbmlFloat.o ../../src/EbmlHead.o ../../src/EbmlMaster.o ../../src/EbmlSInteger.o ../../src/EbmlStream.o ../../src/EbmlString.o ../../src/EbmlSubHead.o ../../src/EbmlUInteger.o ../../src/EbmlUnicodeString.o ../../src/EbmlVersion.o ../../src/EbmlVoid.o ../../src/IOCallback.o ../../src/MemIOCallback.o ../../src/StdIOCallback.o ../../src/Debug.o $(RES)
LIBS =  
INCS = -I../..
BIN  = libebml.a
CXXFLAGS = $(DEBUGFLAGS) $(INCS) 
CFLAGS = $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: lib

lib: all-before libebml.a all-after

clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	ar r $(BIN) $(OBJ)
	ranlib $(BIN)

../../src/EbmlBinary.o: ../../src/EbmlBinary.cpp
	$(CPP) -c ../../src/EbmlBinary.cpp -o ../../src/EbmlBinary.o $(CXXFLAGS)

../../src/EbmlContexts.o: ../../src/EbmlContexts.cpp
	$(CPP) -c ../../src/EbmlContexts.cpp -o ../../src/EbmlContexts.o $(CXXFLAGS)

../../src/EbmlCrc32.o: ../../src/EbmlCrc32.cpp
	$(CPP) -c ../../src/EbmlCrc32.cpp -o ../../src/EbmlCrc32.o $(CXXFLAGS)

../../src/EbmlDate.o: ../../src/EbmlDate.cpp
	$(CPP) -c ../../src/EbmlDate.cpp -o ../../src/EbmlDate.o $(CXXFLAGS)

../../src/EbmlDummy.o: ../../src/EbmlDummy.cpp
	$(CPP) -c ../../src/EbmlDummy.cpp -o ../../src/EbmlDummy.o $(CXXFLAGS)

../../src/EbmlElement.o: ../../src/EbmlElement.cpp
	$(CPP) -c ../../src/EbmlElement.cpp -o ../../src/EbmlElement.o $(CXXFLAGS)

../../src/EbmlFloat.o: ../../src/EbmlFloat.cpp
	$(CPP) -c ../../src/EbmlFloat.cpp -o ../../src/EbmlFloat.o $(CXXFLAGS)

../../src/EbmlHead.o: ../../src/EbmlHead.cpp
	$(CPP) -c ../../src/EbmlHead.cpp -o ../../src/EbmlHead.o $(CXXFLAGS)

../../src/EbmlMaster.o: ../../src/EbmlMaster.cpp
	$(CPP) -c ../../src/EbmlMaster.cpp -o ../../src/EbmlMaster.o $(CXXFLAGS)

../../src/EbmlSInteger.o: ../../src/EbmlSInteger.cpp
	$(CPP) -c ../../src/EbmlSInteger.cpp -o ../../src/EbmlSInteger.o $(CXXFLAGS)

../../src/EbmlStream.o: ../../src/EbmlStream.cpp
	$(CPP) -c ../../src/EbmlStream.cpp -o ../../src/EbmlStream.o $(CXXFLAGS)

../../src/EbmlString.o: ../../src/EbmlString.cpp
	$(CPP) -c ../../src/EbmlString.cpp -o ../../src/EbmlString.o $(CXXFLAGS)

../../src/EbmlSubHead.o: ../../src/EbmlSubHead.cpp
	$(CPP) -c ../../src/EbmlSubHead.cpp -o ../../src/EbmlSubHead.o $(CXXFLAGS)

../../src/EbmlUInteger.o: ../../src/EbmlUInteger.cpp
	$(CPP) -c ../../src/EbmlUInteger.cpp -o ../../src/EbmlUInteger.o $(CXXFLAGS)

../../src/EbmlUnicodeString.o: ../../src/EbmlUnicodeString.cpp
	$(CPP) -c ../../src/EbmlUnicodeString.cpp -o ../../src/EbmlUnicodeString.o $(CXXFLAGS)

../../src/EbmlVersion.o: ../../src/EbmlVersion.cpp
	$(CPP) -c ../../src/EbmlVersion.cpp -o ../../src/EbmlVersion.o $(CXXFLAGS)

../../src/EbmlVoid.o: ../../src/EbmlVoid.cpp
	$(CPP) -c ../../src/EbmlVoid.cpp -o ../../src/EbmlVoid.o $(CXXFLAGS)

../../src/IOCallback.o: ../../src/IOCallback.cpp
	$(CPP) -c ../../src/IOCallback.cpp -o ../../src/IOCallback.o $(CXXFLAGS)

../../src/MemIOCallback.o: ../../src/MemIOCallback.cpp
	$(CPP) -c ../../src/MemIOCallback.cpp -o ../../src/MemIOCallback.o $(CXXFLAGS)

../../src/StdIOCallback.o: ../../src/StdIOCallback.cpp
	$(CPP) -c ../../src/StdIOCallback.cpp -o ../../src/StdIOCallback.o $(CXXFLAGS)

../../src/Debug.o: ../../src/Debug.cpp
	$(CPP) -c ../../src/Debug.cpp -o ../../src/Debug.o $(CXXFLAGS)
