## libebml 0.7.1

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libebml Makefile
-# $Id: Makefile,v 1.5 2003/10/15 20:32:01 mosu Exp $
+# $Id: Makefile,v 1.8 2004/05/11 20:27:38 mosu Exp $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -10,13 +10,18 @@
 #
 
 # Paths
+# BeOS wants the libs and headers in /boot/home/config
+ifeq (BeOS,$(shell uname -s))
+prefix=/boot/home/config
+else
 prefix=/usr/local
+endif
 libdir=$(prefix)/lib
 includedir=$(prefix)/include/ebml
 
 # Programs
 CXX=g++
-LD=g++
+LD=$(CXX)
 DEP=$(CXX) -MM
 DEPEND = makedepend
 AR = ar rcvu
@@ -32,8 +37,6 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords
-LDFLAGS=-L.
 
 CWD=$(shell pwd)
 
@@ -59,6 +62,8 @@
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
+WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
+COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
 DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
 
 all: $(LIBRARY)
@@ -67,13 +72,11 @@
 
 # Build rules
 %.o: %$(EXTENSION)
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
-#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
-#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}
 
 clean:
 	rm -f $(objects)
