## libebml 0.7.3

=== make/linux/Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 # Programs
 CXX=g++
 LD=$(CXX)
-DEP=$(CXX) -MM
-DEPEND = makedepend
 AR = ar rcvu
 RANLIB = ranlib
 INSTALL = install
@@ -36,6 +34,10 @@
 
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
+endif
+
+ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
+$(error Please use the Makefile in ../mingw32)
 endif
 
 CWD=$(shell pwd)
@@ -56,15 +58,12 @@
 # header files; replace .cxx extension with .h
 headers:=$(patsubst %$(EXTENSION),%.h,$(sources))
 
-# files holding dependency information; replace .cxx extension with .dep
-dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))
-
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
 WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
 COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
-DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
+DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
 all: $(LIBRARY)
 
@@ -80,13 +79,21 @@
 
 clean:
 	rm -f $(objects)
-	rm -f $(dependencies)
 	rm -f $(LIBRARY)
 	rm -f CORE
 
-# what are the source dependencies
-depend: $(sources)
-	$(DEPEND) $(DEPENDFLAGS) $(sources)
+distclean dist-clean: clean
+	rm -f .depend
+
+depend:
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(sources); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
 
 install: $(LIBRARY)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
@@ -100,4 +107,9 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+ifneq ($(wildcard .depend),)
+include .depend
+endif
+
 # DO NOT DELETE
+
