## libebml 1.0.0+dfsg

=== make/linux/Makefile ===
--- 
+++ 
@@ -20,10 +20,11 @@
 includedir=$(prefix)/include/ebml
 
 # Programs
-CXX=g++
-LD=$(CXX)
-AR = ar rcvu
-RANLIB = ranlib
+CROSS =
+CXX = $(CROSS)g++
+LD = $(CXX)
+AR = $(CROSS)ar
+RANLIB = $(CROSS)ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
@@ -34,10 +35,6 @@
 
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
-endif
-
-ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
-$(error Please use the Makefile in ../mingw32)
 endif
 
 CWD=$(shell pwd)
@@ -52,7 +49,7 @@
 # Names
 LIBRARY=libebml.a
 LIBRARY_SO=libebml.so
-LIBRARY_SO_VER=libebml.so.0
+LIBRARY_SO_VER=libebml.so.2
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -90,7 +87,7 @@
 	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
 
 $(LIBRARY): $(objects)
-	$(AR) $@ $(objects)
+	$(AR) rcvu $@ $(objects)
 	$(RANLIB) $@
 
 $(LIBRARY_SO): $(objects_so)
@@ -141,7 +138,7 @@
 install_sharedlib: $(LIBRARY_SO)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
 	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
-	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+	ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
 
 
 ifneq ($(wildcard .depend),)
