## libebml 1.2.0+dfsg

=== debian/changelog ===
libebml (1.2.0+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #722378)
  * Bump SONAME to libebml3.
  * Convert to source format 3.0.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 21 Feb 2011 00:56:16 +0100

libebml (1.0.0+dfsg-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Removed patches merged upstream:
    - 010_propagate_cflags.diff
    - 020_invalid_cast.diff
    - 030_g++-4.3.diff
  * debian/control:
    - Removed quilt build-dependency, not needed.
    - Renamed libebml0 to libebml2 to match soname.
    - Bumped Standards-Version to 3.8.4.
  * debian/copyright:
    - Updated FSF address.
  * debian/rules:
    - Do not ignore make error.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 06 Jun 2010 04:06:43 +0700

libebml (0.7.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/copyright (Closes: 465252).
  * Add debian/patches/030_g++-4.3.diff to fix g++-4.3 FTBFS (Closes: 455184).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 18 Mar 2008 23:58:01 +0100

libebml (0.7.7-3) unstable; urgency=low

  * No upstream version in a long time. Distributing shared libraries now.
  * debian/rules:
    + No longer build _pic.a library.
  * debian/control:
    + Add libebml0 package.
  * debian/compat:
    + Set compat to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 17:28:01 +0100

libebml (0.7.7-2) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 02:35:26 +0100

libebml (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * This release fixes a file corruption issue (Closes: #360644).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  3 Apr 2006 22:18:57 +0200

libebml (0.7.6-3) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.

  * 010_propagate_cflags.diff: (new patch from old diff.gz) propagate custom
    CXXFLAGS to the build process.

  * 020_invalid_cast.diff: (new patch from old diff.gz) cast pointers to
    uintptr_t instead of unsigned long.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 17:14:29 +0200

libebml (0.7.6-2) unstable; urgency=low

  * debian/compat: set level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 20:01:04 +0100

libebml (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Oct 2005 15:49:31 +0100

libebml (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
  * src/EbmlFloat.cpp:
    + Fixed amd64 FTBFS (Closes: #300548).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 15 Jul 2005 13:46:53 +0300

libebml (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #288715, #290687).
  * ebml/EbmlCrc32.h: cast pointer to uintptr_t before doing arithmetic
    operations on it (Closes: #284881).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 16:24:35 +0100

libebml (0.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #271897).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 17 Sep 2004 11:38:18 +0200

libebml (0.7.0-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 24 Jul 2004 13:52:21 +0200

libebml (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 22:22:03 +0200

libebml (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Jan 2004 21:07:21 +0100

libebml (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Nov 2003 11:14:30 +0100

libebml (0.6.0-2) unstable; urgency=low

  * Fixed upstream's braindamaged use of DEB_BUILD_OPTIONS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 15 Oct 2003 09:00:42 +0200

libebml (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 12 Oct 2003 16:50:58 +0200

libebml (0.5.0-4) unstable; urgency=low

  * Used "cvs2cl --utc --no-wrap -w --stdout -g -z9" to generate an upstream
    changelog (Closes: #208599).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 09:26:58 +0200

libebml (0.5.0-3) unstable; urgency=low

  * make/linux/Makefile:
    + Fixed $(CUSTOMFLAGS) so that the PIC lib gets built.
  * debian/control:
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 21:12:08 +0200

libebml (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Downgraded debhelper build-dependency to allow easier backporting.
    + Enhanced the long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Aug 2003 11:06:11 +0200

libebml (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 14:54:50 +0200

libebml (0.4.4+cvs.20030622-1) unstable; urgency=low

  * First Debian release (Closes: #198706).
  * debian/control:
    + Set policy to 3.5.10.
    + Rephrased upstream's long description.
  * debian/rules:
    + Ship PIC libraries so that application plugins can be linked with us.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 25 Jun 2003 05:22:08 +0200
