=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5.0)
Standards-Version: 3.8.4
XS-Vcs-Svn: svn://svn.debian.org/pkg-multimedia/unstable/libebml
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-multimedia/unstable/libebml/

Package: libebml3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: access library for the EBML format
 The libebml library allows to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Depends: libebml3 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: access library for the EBML format - development files
 The libebml library allows to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.
