## libebml 1.2.1

=== debian/changelog ===
libebml (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #631803):
    - fix the constructor of CRTError in StdIOCallback
    - fix the size returned by MemIOCallback::read()
      when reaching the end of the buffer
    - add a macro to define signed integer elements that
      have a default value
  * Correct maintainer's name.
  * Bump Standards.
  * Remove useless shlibs:Depends macro from -DEV's Depends field.
  * Fix small errors in the packages description.
  * Remove unnecessary debian/dirs file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 10:12:23 +0200

libebml (1.2.0-2) unstable; urgency=low

  * Team upload.

  [ Rico Tzschichholz ]
  * add myself to uploaders

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Reinhard Tartler ]
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Mar 2011 17:54:36 +0100

libebml (1.2.0-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/control,debian/libebml3.install:
    + bump library soname to libebml3
  * debian/control:
    + bump standard version to 3.9.1

  [ Reinhard Tartler ]
  * upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Feb 2011 20:54:15 +0100

libebml (1.0.0-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * remove generated files from branch
  * add .gitignore file
  * bump shlips
  * remove debian/patches/010_propagate_cflags.diff hack
  * remove debian/patches/020_invalid_cast.diff, applied upstream
  * remove debian/patches/030_g++-4.3.diff, merged upstream
  * don't create usr/include in libebml0 package

  [ Fabian Greffrath ]
  * Add debian/watch.
  * Add debian/gbp.conf.
  * Imported Upstream version 1.0.0 (Closes: #582238).

  [ Reinhard Tartler ]
  * prepare new upload
  * convert to Source Format 3.0 (quilt)
  * update Vcs- headers

  [ Fabian Greffrath ]
  * Remove useless debian/*.dirs.
  * Bump library soname to libebml2.
  * Convert Debian packaging to dh 7.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.4.
  * Fix weak-library-dev-dependency.
  * Fix debhelper-but-no-misc-depends.
  * Wrap lines in debian/control.
  * Fix duplicate-short-description.
  * Fix old-fsf-address-in-copyright-file.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 08 Jun 2010 23:13:59 +0200

libebml (0.8.0-1) unstable; urgency=low

  * new upstream release. (Closes: 582238).

 -- Eric Dantan Rzewnicki <eric@zhevny.com>  Sat, 29 May 2010 09:54:09 -0400
