=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git;a=summary
Homepage: http://dl.matroska.org/downloads/libebml/

Package: libebml3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: access library for the EBML format (shared library)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Depends: libebml3 (= ${binary:Version}),
 ${misc:Depends}
Description: access library for the EBML format (development files)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.
