=== debian/changelog ===
libebml (1.2.2-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch changes.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 May 2012 16:16:43 +0200

libebml (1.2.2-2) unstable; urgency=low

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/control: uploader's email address changed

  [ Alessio Treglia ]
  * Introduce Multiarch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 11:31:58 +0100

libebml (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 05 Oct 2011 13:46:42 +0200
