=== debian/control ===
--- 
+++ 
@@ -2,19 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
- Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Uploaders:
+ Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
+ debhelper (>= 8)
 Standards-Version: 3.9.2
+Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git;a=summary
-Homepage: http://dl.matroska.org/downloads/libebml/
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git
 
 Package: libebml3
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: access library for the EBML format (shared library)
  The libebml library allows one to read and write files using EBML (the
  Extensible Binary Meta Language), a binary pendant to XML. Using libebml
@@ -27,7 +31,8 @@
 Package: libebml-dev
 Section: libdevel
 Architecture: any
-Depends: libebml3 (= ${binary:Version}),
+Depends:
+ libebml3 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the
