=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=make/linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
