=== debian/changelog ===
libebml (1.3.0-2+deb8u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Apr 2016 14:15:56 -0400

libebml (1.3.0-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2015-8789.patch.
    Fix use-after-free vulnerability in the EbmlMaster::Read function.
  * Add CVE-2015-8790.patch.
    Fix EbmlUnicodeString::UpdateFromUTF8 function that allowed
    context-dependent attackers to obtain sensitive information from process
    heap memory via a crafted UTF-8 string.
  * Add CVE-2015-8791.patch.
    Fix EbmlElement::ReadCodedSizeValue function that allowed context-dependent
    attackers to obtain sensitive information from process heap memory via a
    crafted length value in an EBML id.

 -- Markus Koschany <apo@debian.org>  Tue, 29 Mar 2016 18:58:48 +0200

libebml (1.3.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #720182)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 15:48:15 +0200

libebml (1.3.0-1) experimental; urgency=low

  * New upstream release
    - debian/: SONAME bump libebml3 => libebml4
  * debian/control: Standards-Version bumped to 3.9.4
  * debian/control: Vcs-* URLs updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 29 Jun 2013 15:04:57 +0200
