=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends:
- debhelper (>= 8)
-Standards-Version: 3.9.2
+ debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://dl.matroska.org/downloads/libebml/
-Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
 
-Package: libebml3
+Package: libebml4
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -31,8 +33,9 @@
 Package: libebml-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
- libebml3 (= ${binary:Version}),
+ libebml4 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the
