## libebml 1.3.1

=== debian/changelog ===
libebml (1.3.1-2) experimental; urgency=medium

  * debian/: pkg-config dependency added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 17:57:19 +0100

libebml (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: DEP-5 compliance added
  * debian/rules: source directory parameter dropped
  * debian/rules: dh_auto_install stanza dropped
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V bump 3.9.4 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 09:29:28 +0100
