=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
- Matteo F. Vescovi <mfv.debian@gmail.com>
+ Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9)
-Standards-Version: 3.9.4
+ debhelper (>= 9),
+ pkg-config
+Standards-Version: 3.9.6
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
