## libebml 1.3.3

=== debian/changelog ===
libebml (1.3.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based out of bounds read
    - debian/patches/CVE-2019-13615-1.patch: check the max size to read
      before actually reading in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-2.patch: do not output an element with
      size Unknown if it's not allowed in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-3.patch: exit the max size loop when
      there's nothing left possible to find in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-4.patch: rework the way we look at the
      end boundary when looking an element in a parent in
      src/EbmlElement.cpp.
    - CVE-2019-13615

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jul 2019 14:03:37 -0400

libebml (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 21 Oct 2015 15:36:15 +0200

libebml (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 09:34:12 +0200

libebml (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Aug 2015 21:02:58 +0200

libebml (1.3.1-4) experimental; urgency=medium

  * Team upload.
  * Rename libebml4 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 22:26:59 +0200

libebml (1.3.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Apr 2015 10:33:29 +0200
