=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 9),
- pkg-config
+ pkg-config,
+ g++ (>= 4:5.2)
 Standards-Version: 3.9.6
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
 
-Package: libebml4
+Package: libebml4v5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -22,6 +24,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks:
+ libebml4
+Replaces:
+ libebml4
 Description: access library for the EBML format (shared library)
  The libebml library allows one to read and write files using EBML (the
  Extensible Binary Meta Language), a binary pendant to XML. Using libebml
@@ -36,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libebml4 (= ${binary:Version}),
+ libebml4v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the
