## libebml 1.3.4

=== debian/changelog ===
libebml (1.3.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with GCC 7 to fix FTBFS of reverse-dependencies. (Closes: #870797)
    - Build-depend on gcc >= 7.
    - Update shlibs to ensure rdeps pull in the new version.

  * debian/compat: Use debhelper compat 10.
  * debian/libebml-dev.files: Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 05 Aug 2017 15:54:14 -0400

libebml (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Jul 2016 22:42:46 +0200
