=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
- g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+ g++ (>= 4:7)
+Standards-Version: 3.9.8
 Homepage: http://dl.matroska.org/downloads/libebml/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebml.git
 
 Package: libebml4v5
 Section: libs
