## libebml 1.3.5

=== debian/changelog ===
libebml (1.3.5-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based out of bounds read
    - debian/patches/CVE-2019-13615-1.patch: check the max size to read
      before actually reading in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-2.patch: do not output an element with
      size Unknown if it's not allowed in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-3.patch: exit the max size loop when
      there's nothing left possible to find in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-4.patch: rework the way we look at the
      end boundary when looking an element in a parent in
      src/EbmlElement.cpp.
    - CVE-2019-13615

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jul 2019 13:32:41 -0400

libebml (1.3.5-2) unstable; urgency=medium

  * Re-enable changes made with 1.3.4-2 revision
    and dropped by mistake in 1.3.5-1 (Closes: #870797)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 27 Aug 2017 22:25:13 +0200

libebml (1.3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #872775)
    - debian/watch: .tar.bz2 -> .tar.xz
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Aug 2017 22:55:17 +0200
