=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
@@ -10,7 +11,7 @@
  debhelper (>= 10),
  pkg-config,
  g++ (>= 4:7)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebml.git
